Skip to content

Get a third party transfer by ID

Request

Get third party transfer info by ID. To receive dynamic updates as the state of the transfer changes, see the webhooks documentation.

Security
UserToken
Path
profileIdinteger, (int64)required

Profile Id

Example:123456789
transferIdinteger, (int64)required

Transfer Id

Example:16521632
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/2026Q4/profiles/123456789/third-party-transfers/16521632 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Returns the originator transfer object.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

Transfer ID

Example:16521632
userinteger, (int64)

Your user ID

Example:4342275
targetAccountinteger, (int64)

Recipient account ID

Example:8692237
sourceAccountinteger, (int64)

Refund recipient account ID

Example:1527389
quotestring

Quote ID

Example:"8fa9be20-ba43-4b15-abbb-9424e1481050"
statusstring

Transfer current status. See Tracking Transfers for all possible statuses.

Example:"cancelled"
ratenumber, (decimal), > 0

Exchange rate value

Example:0.89
detailsobject

Payment Details

originatorobject

Data block to capture payment originator details

hasActiveIssuesboolean

Are there any pending issues which stop executing the transfer?

Example:false
sourceCurrencystring, = 3 characters^[A-Z]{3}$

Source currency code

Example:"EUR"
sourceValuenumber, (decimal), > 0

Transfer amount in source currency

Example:0
targetCurrencystring, = 3 characters^[A-Z]{3}$

Target currency code

Example:"GBP"
targetValuenumber, (decimal), > 0

Transfer amount in target currency

Example:150
originalTransferIdstring

Unique identifier randomly generated per transfer request by the calling client

Example:"54a6bc09-cef9-49a8-9041-f1f0c654cd88"
createdstring, (date-time)

Timestamp when transfer was created.

Example:"2025-10-29T12:28:16.000Z"
Response
{ "id": 16521632, "originalTransferId": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "user": 4342275, "targetAccount": 8692237, "sourceAccount": 1527389, "quote": "8fa9be20-ba43-4b15-abbb-9424e1481050", "status": "cancelled", "rate": 0.89, "details": { "reference": "T475890" }, "hasActiveIssues": false, "sourceCurrency": "EUR", "sourceValue": 0, "targetCurrency": "GBP", "targetValue": 150, "originator": { "legalEntityType": "BUSINESS", "name": { "fullName": "John Godspeed" }, "reference": "CST-2991992", "businessRegistrationCode": "83920-546", "businessRegistrationDate": "2020-01-15", "address": { "firstLine": "Salu tee 14", "city": "Tallinn", "stateCode": "", "countryCode": "EE", "postCode": "12112" }, "accountDetails": "23456789" }, "created": "2025-10-29T12:28:16.000Z" }